#pragma once
#include "icameraid.h"

#ifdef BUILD_COMMDLL
#define COMMDLL_DLLCLASS __declspec(dllexport)
#else
#define COMMDLL_DLLCLASS __declspec(dllimport)
#endif

class COMMDLL_DLLCLASS CDecimalCameraId :
    public CICameraId
{
public:
    CDecimalCameraId(void);
    ~CDecimalCameraId(void);

    string id(int nIndex);
    string sos(int nIndex);
    string eos(int nIndex);

    int index(string strId);
    int indexSOS(string strId);
    int indexEOS(string strId);
};
